> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monei.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction with reference



## OpenAPI

````yaml /openapi.json get /api/v1/transactions/reference/{reference}
openapi: 3.0.0
info:
  title: Mr Monei API Gateway
  description: External API for partners using API Key authentication
  version: '1.0'
  contact: {}
servers:
  - url: https://api.dev.monei.cc
    description: Dev Server
  - url: https://api.monei.cc
    description: Live Server
security: []
tags: []
paths:
  /api/v1/transactions/reference/{reference}:
    get:
      tags:
        - Transaction
      summary: Get transaction with reference
      operationId: TransactionController_findTransactionByref
      parameters:
        - name: reference
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionResponseDto'
components:
  schemas:
    TransactionResponseDto:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        data:
          $ref: '#/components/schemas/TransactionDto'
        errors:
          type: object
      required:
        - statusCode
        - message
        - data
        - errors
    TransactionDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier
        createdAt:
          format: date-time
          type: string
          description: Record creation timestamp
        updatedAt:
          format: date-time
          type: string
          description: Record last updated timestamp
        deletedDate:
          format: date-time
          type: string
          description: Record deletion timestamp
        user:
          type: object
        wallet:
          type: object
        subwallet:
          type: object
        amount:
          type: number
        type:
          type: string
        nature:
          type: string
        status:
          type: string
        currency:
          type: string
        reference:
          type: string
        fincraReference:
          type: string
        flutterwaveReference:
          type: string
        flwId:
          type: string
        narration:
          type: string
        metadata:
          type: object
        customer:
          type: object
        owner:
          type: string
      required:
        - id
        - createdAt
        - updatedAt
        - deletedDate
        - user
        - subwallet
        - amount
        - type
        - nature
        - status
        - narration

````